# Spidertron Enhancements

Some simple features to make your life easier whilst using a spidertron. All features can be turned on or off individually.

### Enter vehicles from spidertron

Press `Enter` near a vehicle whilst riding a spidertron to enter the vehicle. Configure which vehicles can be entered in settings.

![Demo](https://github.com/tburrows13/SpidertronEnhancements/raw/master/resources/onto-train.gif)

### Quick toggle spidertron

Press `Shift + Enter` to exit or re-enter the spidertron.

![Demo](https://github.com/tburrows13/SpidertronEnhancements/raw/master/resources/quick-toggle.gif)

### Spidertron remote pathfinder

`Alt + Click` with the spidertron remote to use the pathfinder to automatically navigate around water.

![Demo](https://github.com/tburrows13/SpidertronEnhancements/raw/master/resources/pathfinder.gif)

### Recall last used spidertron

Press `Alt + C` or click on the shortcut to call your most recently driven spidertron to you.

### Spidertron remote pipette

Press `Shift + Q` whilst hovering your cursor over a spidertron to select a remote connected to that spidertron. 
If you aren't hovering your cursor over a spidertron, it will pick a remote connected to the spidertron you are driving.

When [Spidertron Patrols](https://mods.factorio.com/mod/SpidertronPatrols) is installed, press `Control + Shift + Q` to pipette a patrol remote.

### Open vehicle inventories directly

Press `Shift + E` whilst holding a spidertron remote to open the inventory of the connected spidertron. If not holding a remote, it will open the inventory of the vehicle (not just a spidertron!) you are driving.
Spidertron inventories will never be forcibly closed, no matter how far away the spidertron becomes from the player.

### Spidertron corpse with inventory

Spidertron inventories are saved into a corpse instead of being lost when it dies.

![Demo](https://github.com/tburrows13/SpidertronEnhancements/raw/master/resources/corpse.png)

### Increase spidertron size
Spidertron size can be increased in settings. Default size is unchanged from vanilla.

### Configure spidertron sounds

Spidertron volume and sound play frequency can be changed in settings. Default values are unchanged from vanilla. Affects modded spidertrons as well.

---
## Known Bugs / Limitations

- Spidertron equipment grids and logistics cannot function whilst the spidertron is 'inside' the player
- When a spidertron enters a vehicle or is quick-toggled, any remotes connected to it that are stored in an inventory more than 30 tiles from a player will become disconnected
- Compatibility with [Spidertron Weapon Switcher](https://mods.factorio.com/mod/SpidertronWeaponSwitcher) is a little unstable. Ammo in an inactive weapon's slots will be lost when you enter a vehicle or quick toggle with a spidertron from this mod.

---
## Translation

You can help by translating this mod into your language using [CrowdIn](https://crowdin.com/project/factorio-mods-localization). Any translations made will be included in the next release.

---


Please let me know in the "Discussion" section of the mod portal if you have suggestions for this mod.

Check out my other mods: [Spidertron Patrols](https://mods.factorio.com/mod/SpidertronPatrols) and [Spidertron Engineer](https://mods.factorio.com/mod/SpidertronEngineer)